Skip to content
POST/{organizationId}/{mandateId}/receipts/createOffsetCreditNote

Create offset credit note

Creates an offset credit note, which means that the given receipt is refunded and a deposit receipt is created with the same amount. If cost centers are provided they'll be used for the deposit receipt.

Required permissions:

  • mandate.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

deliveryDateTypestring | nullrequired

Options:

deliverydeliveryPeriodserviceservicePeriod
titlestringrequired

minLength: 1

maxLength: 30

introstringrequired

maxLength: 2000

accountintegerrequired

minimum: 1

maximum: 999999999

isNetbooleanoptional
receiptDatestringrequired
dueDatestringrequired

ObjectId as string

ObjectId as string

Default: ""

sendMethodstringoptional

Default: "none"

Options:

noneemailpostal
accountNamestringoptional

Default: ""

receiptNumberstring | nulloptional

Default: null

maxLength: 30

customerTypestringoptional

Default: "debtor"

Options:

debtorcustomermemberbooking

Default: []

deliveryDatestring | nulloptional
deliveryDateStartstring | nulloptional
deliveryDateEndstring | nulloptional
descriptionstringoptional

Default: ""

maxLength: 140

notestringoptional

Default: ""

maxLength: 2000

discountintegeroptional

Default: 0

minimum: 0

maximum: 9999999999

discountTypestringoptional

Default: "%"

Options:

%amount
invoiceTypestringoptional

Default: "invoice"

Options:

invoiceinvoiceMembershipFeeinvoiceBooking
paymentTermsstringoptional

maxLength: 2000

minItems: 1

supplierNumberstringoptional

Default: ""

maxLength: 32

doNotSendReceiptbooleanoptional

Default: false

queueReceiptDocumentbooleanoptional

Default: false

maxItems: 20

electronicbooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/receipts/createOffsetCreditNote
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/receipts/createOffsetCreditNote' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "address": {
    "country": "string",
    "zip": "string",
    "city": "string",
    "addressLine": "string"
  },
  "deliveryDateType": "delivery",
  "title": "string",
  "intro": "string",
  "account": 1,
  "receiptDate": "string",
  "dueDate": "string",
  "positions": [
    {
      "unitAmount": 0,
      "discount": 0,
      "description": "string",
      "account": 1
    }
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

alreadyCollectedbooleanoptional

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}